Subject: Re: [MOBILE-IP] RFC2002 bis

From: Sufatrio <[email-masked]>
Date: Mon, 13 Mar 2000 23:56:35 +0800

Hi all,

I also have another question on RFC-2002bis
> regarding its specification of the "Identification" field.
>
> On the use of nonce-based anti-replay protection,
> Section 5.6.2 says the following in its last paragraph:
> "If a registration message is rejected because of an invalid nonce,
>  the Reply always provides the mobile node with a new nonce to
>  be used in the next registration.  Thus the nonce protocol is
>  self-synchronizing."
>
> Though it sounds OK, however, there might be a little problem
> when an Attacker replays a previous authenticated Request to HA.
>
> In that case, according to the specification above,
> HA will send a rejected Reply with a new nonce included.
> While HA now expects this new nonce in MN's next registration,
> the real MN --which is not expecting any Replies-- will discard that
> Reply.
> MN thus has no knowledge about HA's new nonce.
> As a result, another registration would be uselessly performed,
> should later this legitimate MN initiate a Request.
>
> I would suggest some clarification in RFC-2002bis specification,
> that a new nonce should not be "generated" upon receipt
> of Request with invalid nonce.
> But rather, HA must keep sending the same expected-nonce
> until it receives a Request with that correct nonce
> (though this Request may be rejected for some other reasons).
>
> Thanks.
>
~rio